@import "$SHAREDSTYLES/base/_variables.scss";

.tag_view_nav_bar{
	position: fixed;
	top: 0;
	z-index: 9999;
	line-height: 19px;
	right: 20%;
	padding: 20px;
	cursor: pointer;
}
.upload_image_container{
	width: 100%;
	float: left;
	// height: calc(100vh - 120px);
	// content: 'viewport-units-buggyfill; height: calc(100vh - 120px);';
	background-color: $light-grey;
	position: relative;
	img{
		position: absolute;
		left: 50%;
		top: 50%;
		transform: translate(-50%, -50%);
		max-width: 100%;
		max-height: calc(100vh - 130px);

	}
	.image_tick{
		position: absolute;
		top: 315px;
		left: 463px;
		z-index: 99;
		 background-color: #fff;
		display: inline;
		height: 21px;
		border-radius: 50%;
		width: 19px;
		box-shadow: 2px 4px 11px 2px rgba(0, 0, 0, 0.64);
		.green_tag{
			position: relative;
			z-index: 9;
		}
	}
	.quantity_info_container{
		position: absolute;
		background-color: rgba(0, 0, 0, 0.62);
		border-radius: 5px;
		color: #fff;
		text-align: center;
		z-index: 9;
		.quantity_input_wrp{
			padding: 5px;
			float: left;
			width: 100%;
			border-bottom: 1px solid $light-grey;
			input{
				width: 120px;
				float: left;
				/*width: 100%;*/
				background: initial;
				color: inherit;
				text-align: center;
				font-size: 16px;
			}
		}
		.delete_tag_button{
			padding: 5px 10px;
			float: left;
			width: 100%;
		}
		.show_text_tag{
			min-width: 70px;
			padding: 5px 10px;
			float: left;
			width: 100%;
		}

	}
	.transparent_window{
		position: fixed;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		background-color: transparent;
		z-index: 1;
	}
}
.action_bar {
	width: 100%;
	float: left;
	background-color: #333;
	padding: 15px;
	color: #fff;
	font-weight: 300;
	font-size: 20px;
	text-transform: capitalize;
}
.image_uploader_input{
	display: none;
}

.tag_instruction_bar{
	background-color: #f4f4f4;
	text-align: center;
	width: 100%;
	float: left;
	padding: 10px;
	color: #999;
	position: absolute;
	bottom: -60px;
	z-index: 9;
	min-height: 60px;
	.redText{
		color: #f00;
		line-height: 45px;
	}
}

.image_options_container{
	position: absolute;
	bottom: 0;
	left: 0;
	text-align: center;
	background-color: #fff;
	width: 100%;
	box-shadow: 0px -1px 13px rgba(0, 0, 0, 0.25);
	.image_options_header{
		padding: 6px 0;
	}
	.image_options_wrap{
		width: 100%;
		float: left;
		color: $theme;
		font-size: 18px;
		li{
			border-top: 1px solid $light-grey;
			width: 100%;
			float: left;
			padding: 7px 0;
			cursor: pointer;
		}
	}
}

.tag_image_container{
	position: absolute;
	right: -110%;
	transition: all .3s ease-in-out;
	box-shadow: 0 3px 3px #000;
	float: left;
	width: 100%;
	opacity: .6;
}

@media screen and (max-width: 770px){
	.tag_view_nav_bar{
    right: 0;
	}

}